Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology.obo
Class OboFileHandler

    java.lang.Object
      org.biojava.ontology.obo.OboFileHandler

All Implemented Interfaces:
  OboFileEventListener

    public class OboFileHandler

extends Object
implements OboFileEventListener

A file handler for .obo files

Author:
  Andreas Prlic

Field Summary
`static String` | `ALT_ID`
`static String` | `BROAD_SYNONYM`
`static String` | `COMMENT`
`static String` | `DEF`
`static String` | `DISJOINT_FROM`
`static String` | `EXACT_SYNONYM`
`static String` | `ID_KEY`
`static String` | `INTERSECTION_OF`
`static String` | `IS_A`
`static String` | `IS_OBSOLETE`
`static String` | `NAME`
`static String` | `NARROW_SYNONYM`
`static String` | `ONTOLOGY`
`static String` | `REL_SYNONYM`
`static String` | `RELATIONSHIP`
`static String` | `SUBSET`
`static String` | `SYNONYM`
`static String` | `TERM`
`static String` | `TYPEDEF`
`static String` | `XREF_ANALOG`

Constructor Summary
`OboFileHandler(Ontology ontology)`

Method Summary
`void` | `documentEnd()` end of parsing a new OBO file
`void` | `documentStart()` starting to parse a new OBO file
`void` | `newKey(String key, String value)` found a new key in the file
`void` | `newOboFileHeader()` parsed a new OBO file header
`void` | `newStanza(String stanza)` parsed a new stanza in the file
`void` | `newSynonym(Synonym synonym)` a new synonym has been found

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TERM

    public static final String TERM

See Also:
  Constant Field Values

### TYPEDEF

    public static final String TYPEDEF

See Also:
  Constant Field Values

### ONTOLOGY

    public static final String ONTOLOGY

See Also:
  Constant Field Values

### ID_KEY

    public static final String ID_KEY

See Also:
  Constant Field Values

### SYNONYM

    public static final String SYNONYM

See Also:
  Constant Field Values

### EXACT_SYNONYM

    public static final String EXACT_SYNONYM

See Also:
  Constant Field Values

### BROAD_SYNONYM

    public static final String BROAD_SYNONYM

See Also:
  Constant Field Values

### NARROW_SYNONYM

    public static final String NARROW_SYNONYM

See Also:
  Constant Field Values

### REL_SYNONYM

    public static final String REL_SYNONYM

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### DEF

    public static final String DEF

See Also:
  Constant Field Values

### XREF_ANALOG

    public static final String XREF_ANALOG

See Also:
  Constant Field Values

### COMMENT

    public static final String COMMENT

See Also:
  Constant Field Values

### IS_A

    public static final String IS_A

See Also:
  Constant Field Values

### IS_OBSOLETE

    public static final String IS_OBSOLETE

See Also:
  Constant Field Values

### RELATIONSHIP

    public static final String RELATIONSHIP

See Also:
  Constant Field Values

### DISJOINT_FROM

    public static final String DISJOINT_FROM

See Also:
  Constant Field Values

### SUBSET

    public static final String SUBSET

See Also:
  Constant Field Values

### INTERSECTION_OF

    public static final String INTERSECTION_OF

See Also:
  Constant Field Values

### ALT_ID

    public static final String ALT_ID

See Also:
  Constant Field Values

Constructor Detail

### OboFileHandler

    public OboFileHandler(Ontology ontology)

Method Detail

### documentEnd

    public void documentEnd()

  Description copied from interface: `OboFileEventListener`
  end of parsing a new OBO file

  Specified by:
    `documentEnd` in interface `OboFileEventListener`

### documentStart

    public void documentStart()

  Description copied from interface: `OboFileEventListener`
  starting to parse a new OBO file

  Specified by:
    `documentStart` in interface `OboFileEventListener`

### newOboFileHeader

    public void newOboFileHeader()

  Description copied from interface: `OboFileEventListener`
  parsed a new OBO file header

  Specified by:
    `newOboFileHeader` in interface `OboFileEventListener`

### newStanza

    public void newStanza(String stanza)

  Description copied from interface: `OboFileEventListener`
  parsed a new stanza in the file

  Specified by:
    `newStanza` in interface `OboFileEventListener`

### newKey

    public void newKey(String key,
                       String value)

  Description copied from interface: `OboFileEventListener`
  found a new key in the file

  Specified by:
    `newKey` in interface `OboFileEventListener`

### newSynonym

    public void newSynonym(Synonym synonym)

  Description copied from interface: `OboFileEventListener`
  a new synonym has been found

  Specified by:
    `newSynonym` in interface `OboFileEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD